# spec file to build the LDAPExplorerTool RPM package
%define name       LDAPExplorerTool
%define version    0.6
%define release    1
%define prefix     /usr
%define sysconfdir /etc

# This stuff makes things install into the directories that LFS wants.
%{expand:%%define share %(if [ -d %{prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}
%ifos linux
%define CONFIG_FLAGS --prefix=%prefix --infodir='%{prefix}%{share}/info' --mandir='%{prefix}%{share}/man'
%else
%define CONFIG_FLAGS --prefix=%prefix
%endif

Summary:    A free multi-platform LDAP client
Name:       LDAPExplorerTool
Version:    0.6
Release:    alt0.1
License:    BSD
Group:      Networking/Other
Url:        http://ldaptool.sf.net/
Source:     %name-%version.tar.gz
Patch:	    makefile.patch
Packager:   Eugene Ostapets <eostapets@altlinux.ru>
BuildPreReq: libldap-devel, gcc-c++, wxGTK-devel, gtk+-devel, wxGTK-contrib-xrc-devel
Requires:   openldap >= 2.0.0, wxGTK >= 2.4.0

%description
LDAP Explorer Tool is a free LDAP client, that enables the user to manage LDAP
directories.
With this tool you can view, edit or delete any entry of the LDAP server. You
can also manage the schema, export and import entries using the LDIF format.
LDAP Explorer aims to run on mutliple platforms like Windows, Linux, Solaris, 
Mac OS X...
But for now it has only been tested on Windows and Linux. You're welcome to try
to build and run LDAP Explorer Tool on other platforms. Please give us your
feedback at ldaptool-devel@lists.sourceforge.net.

%prep
%setup -q
%patch -p0

%build
%configure
%make_build

%install
%make DESTDIR=%buildroot install

%files
%doc %_docdir/%name-%version/UserGuide/*.html
%doc %_docdir/%name-%version/images/*.png
%doc %_docdir/%name-%version/README 
%doc %_docdir/%name-%version/COPYING
%doc %_docdir/%name-%version/AUTHORS
%doc %_docdir/%name-%version/ChangeLog
%doc %_docdir/%name-%version/INSTALL
%doc %_docdir/%name-%version/NEWS
%doc %_docdir/%name-%version/TODO

%_datadir/locale/*/*/*
%_datadir/LDAPExplorerTool

%_bindir/LDAPExplorerTool

%changelog

* Tue Jun 21 2005 Eugene Ostapets <eostapets@altlinux.ru> 0.6-alt0.1
- Initial spec file release.
